#include <bits/stdc++.h>

using namespace std;

int main()
{
    double p, q, r;
    long long int d, l;
    cin >> p >> q >> r >> d >> l;
    int c = 0;
    for (int i=d; i<= l; i++)
    {
        double prvi = i/p;
        double drugi = i/q;
        double treci = i/r;
        if (ceil(prvi) + ceil(drugi) + ceil(treci) <= i)
        {
            c++;
        }
    }
    cout<<c;
    return 0;
}